package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.CameraBase;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.entity.hkwsdto.CameraDetailDto;
import com.huimv.admin.entity.hkwsdto.CameraDto1;
import com.huimv.admin.entity.vo.CameraListVo;
import com.huimv.admin.entity.vo.CameraListsVo;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-16
 */
public interface ICameraBaseService extends IService<CameraBase> {

    Result listPage(CameraListVo cameraListVo);

    Result getCameraDetails(CameraListsVo cameraListsVo);

    void sync(Map<String, Integer> params, List<CameraDto1> list);

    void updateCameraOnlin(List<CameraDto1> list);

    Result list(HttpServletRequest httpServletRequest, Map<String,String>paramsMap);

    void NewSync(Map<String, Integer> params, List<CameraDetailDto> hkvsNewCameraDtoDatumList) throws Exception;
}
